Bug 1076265 - openSUSE-Tumbleweed-Kubic-release will never be updated
openSUSE-Tumbleweed-Kubic-release will never be updated
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P5 - None : Critical (vote)
: ---
Assigned To: Kubic Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-16 20:54 UTC by Thorsten Kukuk
Modified: 2019-02-04 13:40 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Kukuk 2018-01-16 20:54:49 UTC
openSUSE-Tumbleweed-Kubic-release is only on the Kubic media, which means, it will never be updated.
Comment 1 Dominique Leuenberger 2018-01-16 21:47:36 UTC
the problem we had in the past with openSUSE Kubic release in the FTP tree was that zypper/yast got confused with multiple products in the FTP tree; the latest yast changes for   multi-product media might help in this case.
Comment 2 Thorsten Kukuk 2018-01-17 10:23:02 UTC
I understand the problems, but this makes the version info in /etc/os-release pretty useless and prevents me from building virtualisation images for MicroOS and Kubic.

After we have the MicroOS systemrole out there, we need to look at this and find somehow a solution.
Comment 3 Jiri Srain 2018-01-19 12:32:09 UTC
I guess I'm missing something; what prevents the same product to be in the FTP tree? Do we need more of them - different ones - there?

Different version should not hurt, this is what we have for SLES with Update channels.
Comment 4 Dominique Leuenberger 2018-01-19 12:35:30 UTC
(In reply to Jiri Srain from comment #3)
> I guess I'm missing something; what prevents the same product to be in the
> FTP tree? Do we need more of them - different ones - there?

From memory, as I don't find the openQA test that did that (it's long ago we had both products in one FTP tree)

The installer had both products listed as 'going go to be installed'; but that was at the beginning we did some Kubic and then we filtered the Kubic-release from the FTP tree
Comment 5 Richard Brown 2018-11-16 12:48:19 UTC
Should be fixed after https://bugzilla.suse.com/show_bug.cgi?id=1116332 is resolved
Comment 6 Thorsten Kukuk 2019-02-04 13:40:27 UTC
Works now.